@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 20px;
  border-width: 1px;
  border-color: var(--background-root);
  display: block;
  @include make-transition;
  & img {
    @include make-transition;
  }
  &:hover {
    opacity: .7;
    @include make-transition;
    & img {
      opacity: .7;
      @include make-transition;
    }
  }
}

.header {
  width: 100%;
  height: auto;
  position: relative;
}

.body {
  width: 100%;
  padding: 24px 32px;
  &-category {
    font-family: var(--default-font-family);
    font-size: 18px;
    text-align: left;
    color: var(--element-default);
    opacity: .5;
    font-weight: bold;
    @include mq-down(lg) {
      font-size: 16px;
    }
  }
  &-title {
    margin: 8px 0;
    font-family: var(--default-font-family);
    font-size: 24px;
    line-height: 32px;
    text-align: left;
    color: var(--element-default);
    font-weight: bold;
    @include mq-down(lg) {
      font-size: 18px;
    }
  }
  &-date {
    font-family: var(--default-font-family);
    font-size: 16px;
    text-align: left;
    color: var(--element-subp1);
    @include mq-down(lg) {
      font-size: 14px;
    }
  }
}